Events 4.0 on FileMaker Server 7

No. The Events 4 plugin will only work when loaded on FileMaker Pro 7. Although FileMaker Server 7 does support the use of plugins loaded directly on the server, the Events 4 plugin does not support this.